OGRE: Ogre::ResourceLoadingListener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::ResourceLoadingListener Class Reference
[Resources]

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Member Functions
virtual | ~ResourceLoadingListener ()
virtual DataStreamPtr | resourceLoading (const String &name, const String &group, Resource *resource)=0
| This event is called when a resource beings loading.
virtual void | resourceStreamOpened (const String &name, const String &group, Resource *resource, DataStreamPtr &dataStream)=0
| This event is called when a resource stream has been opened, but not processed yet.
virtual bool | resourceCollision (Resource *resource, ResourceManager *resourceManager)=0
| This event is called when a resource collides with another existing one in a resource manager.

## Detailed Description

Remarks:
  This class allows users to override resource loading behavior. By overriding this class' methods, you can change how resources are loaded and the behavior for resource name collisions.

Definition at line 184 of file OgreResourceGroupManager.h.

## Constructor & Destructor Documentation

virtual Ogre::ResourceLoadingListener::~ResourceLoadingListener | ( |  | ) | `[virtual]`

Definition at line 187 of file OgreResourceGroupManager.h.

## Member Function Documentation

virtual bool Ogre::ResourceLoadingListener::resourceCollision | ( | Resource * | resource,
|  | ResourceManager * | resourceManager |
| ) |  |  | `[pure virtual]`

This event is called when a resource collides with another existing one in a resource manager.

virtual DataStreamPtr Ogre::ResourceLoadingListener::resourceLoading | ( | const String & | name,
|  | const String & | group,
|  | Resource * | resource |
| ) |  |  | `[pure virtual]`

This event is called when a resource beings loading.

virtual void Ogre::ResourceLoadingListener::resourceStreamOpened | ( | const String & | name,
|  | const String & | group,
|  | Resource * | resource,
|  | DataStreamPtr & | dataStream |
| ) |  |  | `[pure virtual]`

This event is called when a resource stream has been opened, but not processed yet.

Remarks:
  You may alter the stream if you wish or alter the incoming pointer to point at another stream if you wish.

The documentation for this class was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59